#### D.11.2.15 view

Procedure from library `control.lib` (see control_lib).

Usage:
  view(M); M is of any type

Return:
  no return value

Purpose:
  procedure for (well-) formatted output of modules, matrices, lists of modules, matrices; shows everything even if entries are long

Note:
  in case of other types( not 'module', 'matrix', 'list') works just as standard 'print' procedure

Example:

    LIB "control.lib";
    ring r;
    list L;
    matrix M[1][3] = x2+x,y3-y,z5-4z+7;
    L[1] = "a matrix:";
    L[2] = M;
    L[3] = "an ideal:";
    L[4] = ideal(M);
    view(L);
    ==> a matrix:
    ==>
    ==> x2+x,y3-y,z5-4z+7
    ==>
    ==> an ideal:
    ==>
    ==> x2+x,
    ==> y3-y,
    ==> z5-4z+7
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.